Bug 1594395 - SELinux is preventing NetworkManager from 'getattr' accesses on the file /var/lib/expressvpn/resolv.conf.
Summary: SELinux is preventing NetworkManager from 'getattr' accesses on the file /var...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f6676aa225bced825de7c88ab35...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-22 20:23 UTC by Mikey Horsburgh
Modified: 2018-07-29 03:24 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:24:30 UTC
Type: ---


Attachments (Terms of Use)

Description Mikey Horsburgh 2018-06-22 20:23:34 UTC
Description of problem:
SELinux is preventing NetworkManager from 'getattr' accesses on the file /var/lib/expressvpn/resolv.conf.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that NetworkManager should be allowed getattr access on the resolv.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'NetworkManager' --raw | audit2allow -M my-NetworkManager
# semodule -X 300 -i my-NetworkManager.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/expressvpn/resolv.conf [ file ]
Source                        NetworkManager
Source Path                   NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.20.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.17-200.fc26.x86_64 #1 SMP Thu
                              Apr 12 18:28:26 UTC 2018 x86_64 x86_64
Alert Count                   3684
First Seen                    2018-05-11 19:06:19 PDT
Last Seen                     2018-05-11 19:53:34 PDT
Local ID                      166005e0-cf02-444b-acb8-9ab6d2ecf0e9

Raw Audit Messages
type=AVC msg=audit(1526093614.875:100840): avc:  denied  { getattr } for  pid=909 comm="pool" path="/var/lib/expressvpn/resolv.conf" dev="dm-1" ino=791311 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file permissive=0


Hash: NetworkManager,NetworkManager_t,var_lib_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-260.20.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.11-300.fc28.x86_64
type:           libreport

Potential duplicate: bug 1529386

Comment 1 Fedora Update System 2018-07-25 22:30:34 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:32:40 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:24:30 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.